<HTML>
    <HEAD>
        <TITLE> MANUAL GIT </TITLE>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
    </HEAD>

    <BODY class="fundo">

        <link href="../css/estilo.css" rel="stylesheet" type="text/css"/>

        <h1 class = "titulo"> Manual GIT </h1> 
        <a href = "../index.html#top">
            <button class = "btn btn-primary"> Início </button>
        </a>
        <hr />

        <h2 class = "subtitulo">Para criar um novo repositório no GIT, o usuario deverá os seguintes passos no GIT:</h2> <br />

        <p class = "texto"> O primeiro comando utilizado é o "git clone", que clona o diretório la do GIT LAB: </p>

        <div class = "container">
            <img class = "image" src = "./img/git_clone.JPG" />
            <div class = "overlay">
                <div class = "text"> $ clone + (nome do reposírtório no GIT) </div>
            </div>
        </div>

        <br />

        <p class = "texto"> Depois que o repositóroio for clonado, o usuario fará as ediçoes de seus arquivos nele </p>
        <p class = "texto">depois que tudo estiver editado, o usuario deverá dar o comando "git add .", este comando adiciona</p>
        <p class = "texto">todos os arquivos modificados na area de transferencia do GIT </p>

        <div class = "container">
            <img class = "image" src = "./img/git_add.JPG">
            <div class = "overlay">
                <div class = "text"> $ git add + (arquivos que deseja subir para o GIT) </div>
            </div>
        </div>

        <p class = "texto"> Antes de partir para o proximo passo, é necessário fazer as conigurações globais:</p>

        <div class = "container">
            <img class = "image" src = "./img/git_username.JPG">
            <div class = "overlay">
                <div class = "text"> $ git config --global user.name "(seu nome)" </div>
            </div>
        </div>  



        <p class = "texto"> e</p>

        <div class = "container">
            <img class = "image" src = "./img/git_useremail.JPG">
            <div class = "overlay">
                <div class = "text"> $ git config --global user.email "(seu e-mail)" </div>
            </div>
        </div>

        <p class = "texto"> Depois que os arquivos modificados forem adicionados, é necessário fazer um commit dos mesmo com o seguinte comando: </p>

        <div class = "container">
            <img class = "image" src = "./img/git_commit.JPG">
            <div class = "overlay">
                <div class = "text"> $ git commit -m '(o comentário desejado)' </div>
            </div>
        </div>

        <p class = "texto"> Depois de comitado o arquivo pode subir para o git com o seguinte comando: </p>

        <div class = "container">
            <img class = "image" src = "./img/git_push.JPG">
            <div class = "overlay">
                <div class = "text"> $ git push -u origin master </div>
            </div>
        </div>


        <br />
        <br />
        <br />
        <br />


        <hr />

        <h2 class = "subtitulo"> Para trabalhar com um repositório ja criado, o usuario deverá seguir os seguintes passos no GIT: </h2> <br />
        <p class = "texto"> Primeiramente o usuario deverá ir para a pasta já existente e inserir o comando "git init": </p>


        <div class = "container">
            <img class = "image" src = "./img/git_init.JPG">
            <div class = "overlay">
                <div class = "text"> $ git init </div>
            </div>
        </div>

        <p class = "texto"> Em seguida é necessário criar o remote da pasta com o comando "git remote" seguido da URL buscada no GIT LAB: </p>

        <div class = "container">
            <img class = "image" src = "./img/git_remote.JPG">
            <div class = "overlay">
                <div class = "text"> $ git remote add origin + (nome do repositório ja existente no GIT) </div>
            </div>
        </div>

        <p class = "texto"> Depois que a pasta ja estiver com o git remote aplicado, é só seguir os passos do git add em diante. </p>



    </BODY>
</HTML>